{ config, lib, pkgs, ... }:

{
   fileSystems =
    let
      automount-opts = "x-systemd.automount,noauto,users,x-systemd.idle-timeout=60,x-systemd.device-timeout=5s,x-systemd.mount-timeout=5s,uid=1000";
      filez-opts = automount-opts + ",credentials=/etc/nixos/filez-secrets";
      media-server-opts = automount-opts + ",credentials=/etc/nixos/media-server-secrets";
    in {

      "/mnt/filez/media" = {
        device = "//100.70.114.113/Media";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/music-production" = {
        device = "//100.70.114.113/Music Production";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/storage" = {
        device = "//100.70.114.113/Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/filez/photos" = {
        device = "//100.70.114.113/Photo Storage";
        fsType = "smb3";
        options = [ "${filez-opts}" ];
      };

      "/mnt/beets-import" = {
        device = "//100.103.170.132/media";
        fsType = "smb3";
        options = [ "${media-server-opts}" ];
      };
    };
}
